# OpenLayers.Format.SOSGetObservation

Read and write SOS GetObersation (to get the actual values from a sensor) version 1.0.0

#### Inherits from

- OpenLayers.Format.XML

Summary

OpenLayers.Format.SOSGetObservation | Read and write SOS GetObersation (to get the actual values from a sensor) version 1.0.0
Properties |
namespaces | {Object} Mapping of namespace aliases to namespace URIs.
regExes | Compiled regular expressions for manipulating strings.
Constants |
VERSION | {String} 1.0.0
Properties |
schemaLocation | {String} Schema location
defaultPrefix |
Constructor |
OpenLayers.Format.SOSGetObservation |
Functions |
read |
write |
Properties |
readers | Contains public functions, grouped by namespace prefix, that will be applied when a namespaced node is found matching the function name.
writers | As a compliment to the readers property, this structure contains public writing functions grouped by namespace alias and named like the node names they produce.

### Properties

### namespaces

{Object} Mapping of namespace aliases to namespace URIs.

### regExes

Compiled regular expressions for manipulating strings.

### Constants

### VERSION

{String} 1.0.0

### Properties

### schemaLocation

{String} Schema location

### defaultPrefix

### Constructor

### OpenLayers.Format.SOSGetObservation

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Functions

### read

> read: function( | data | )

#### Parameters

data | {String} or {DOMElement} data to read/parse.

#### Returns

{Object} An object containing the measurements

### write

> write: function( | options | )

#### Parameters

options | {Object} Optional object.

#### Returns

{String} An SOS GetObservation request XML string.

### Properties

### readers

Contains public functions, grouped by namespace prefix, that will be applied when a namespaced node is found matching the function name. The function will be applied in the scope of this parser with two arguments: the node being read and a context object passed from the parent.

### writers

As a compliment to the readers property, this structure contains public writing functions grouped by namespace alias and named like the node names they produce.

> read: function( | data | )

> write: function( | options | )

Read and write XML.
Close